| GET | /RestApi/diagnostics/cache-statuses |
|---|
namespace Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type GetCacheStatuses() =
class end
[<AllowNullLiteral>]
type CacheStatusesProxy() =
member val OutputCache:Boolean = new Boolean() with get,set
member val ClientCache:Boolean = new Boolean() with get,set
member val L2Cache:Boolean = new Boolean() with get,set
member val ClientSideCacheForThemes:Boolean = new Boolean() with get,set
member val RssCache:Boolean = new Boolean() with get,set
member val PagesPermissionsCache:Boolean = new Boolean() with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/cache-statuses HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
OutputCache: False,
ClientCache: False,
L2Cache: False,
ClientSideCacheForThemes: False,
RssCache: False,
PagesPermissionsCache: False
}